Subject: Re: [PATCH] Change 'Deltifying objects' to 'Delta compressing objects'

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Oct 2007 22:34:26 -0400

David Symonds <[email-masked]> wrote:
> On 19/10/2007, Sam Vilain <[email-masked]> wrote:
> > Jeff King wrote:
> > > Boo. I _like_ "deltifying". Sure, it's probably not in the dictionary,
> > > but that's how languages change: saying "delta compressing" all the time
> > > will get awkward, so people invent a new word using existing rules to
> > > explain a common phenomenon.
> >
> > This is not very considerate to non-native speakers, though, who might
> > not grasp the neogolism.
> >
> > Perhaps just "compressing" if it gets awkward.
> 
> Forward thinking, that's probably most sensible, since git 4.7 might
> not use delta compression, but maybe wavelet compression, or other
> scheme entirely. Using deltas is an implementation detail, after all.

Heh.  I just remembered that my packv4 topic had a phase it called
"Dictifying objects".  Which ran before "Deltifying objects".  It was
just another form of compression, but it was also timeconsuming
and an entirely different loop so it got its own progress meter.

I'm leaning to making it just say "Compressing objects".  Simple,
to the point, reasonably describes the action, and most people will
understand what it means: "Oh, time to go get coffee if that number
there is reeeealy big..."  :-)

-- 
Shawn.